The SML of NJ Library
The `TimeLimit` structure

The `TimeLimit` structure provides a mechanism for limiting the execution time of a computation. The mechanism is implemented using the runtime system’s interval timer and the SML/NJ signal mechanism.

## Synopsis

    structure TimeLimit

## Interface

    exception TimeOut

    val timeLimit : Time.time -> ('a -> 'b) -> 'a -> 'b

## Description

`exception TimeOut`

  The exception that is raised if the time limit expires.

`val timeLimit : Time.time -> ('a -> 'b) -> 'a -> 'b`

  `timeLimit t f x` computes the expression `f x`. If the computation takes longer than the time limit `t`, then the `TimeOut` exception is raised.

## See Also

The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC